/*
 * Tab button
 */


/* BUTTON
 -------------------- */


:host {
  --border-radius: 0.25rem;
  --font-size: var(--road-button-medium);
  --margin-bottom: 1rem;
  --padding-start: 1.5rem;
  --padding-end: 1.5rem;
  box-sizing: border-box;
  flex: 1;
  align-items: center;
  justify-content: center;
  max-height: 2.5rem;
  font-size: var(--road-button-medium);
  font-weight: 700;
  color: var(--road-primary);
  text-decoration: none;
  white-space: nowrap;
  vertical-align: middle;
  background-color: var(--road-surface);
  border-top: 1px solid var(--road-primary);
  border-bottom: 1px solid var(--road-primary);
  border-left: 1px solid var(--road-primary);
  border-radius: 0;
  transition: background 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms, color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
}


:host(:first-child){
  border: 1px solid var(--road-primary);
  border-right: 0;
  border-radius: 999em 0 0 999em;
}

:host(:last-child){
  border: 1px solid var(--road-primary);
  border-radius: 0 999em 999em 0;
}

/**
 * Small
 */

:host(.btn-sm) {
  height: 2rem;
  font-size: var(--road-button-small);
}

/**
 * Active state
 */

:host(.tab-selected) {
  color: var(--road-primary-contrast);
  background-color: var(--road-primary);
}

:host(.tab-selected:hover) {
  background-color: var(--road-button-primary-variant);
}


/**
 * Hover state
 */

:host(:hover) {
  background: var(--road-primary-90);
}

/**
 * Focus state
 */


:host(.focus-visible) {
  background: var(--road-primary-90);
  outline: auto;
}

:host(.tab-selected.focus-visible){
  background-color: var(--road-button-primary-variant);
}


/* NATIVE
 -------------------- */

.button-native {
  position: relative;
  box-sizing: border-box;
  display: flex;
  flex-direction: inherit;
  align-items: inherit;
  justify-content: inherit;
  width: 100%;
  height: 100%;
  max-height: 2.5rem;
  padding: 0.75rem var(--padding-end, 1.5rem) 0.75rem var(--padding-start, 1.5rem);
  margin: 0;
  overflow: hidden;
  font-family: inherit;
  font-size: inherit;
  font-style: inherit;
  font-weight: inherit;
  color: inherit;
  text-align: inherit;
  text-decoration: none;
  text-indent: inherit;
  text-overflow: inherit;
  text-transform: inherit;
  letter-spacing: inherit;
  white-space: inherit;
  cursor: pointer;
  background: transparent;
  -webkit-user-drag: none;
  border-color: initial;
  border-style: initial;
  border-width: 0;
  border-radius: inherit;
  border-image: initial;
  outline: none;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

